View Issue Details

IDProjectCategoryView StatusLast Update
0022795LazarusWidgetsetpublic2012-09-10 11:55
ReporterMartin Friebe Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.1 (SVN) 
Summary0022795: QT - ExtUTF8Out ignores char width specification / Bad drawing of proportional fonts in SynEdit
Description
function ExtUTF8Out(DC: HDC; X, Y: Integer; Options: Longint; Rect:
PRect; Str: PChar; Count: Longint; Dx: PInteger): Boolean;

Ignores the Values in Dx (an array of display widths for each char)

The effects cans be seen in SynEdit, using a proportional font.

There is a similar none utf8 version that probably has the same problem.
TagsNo tags attached.
Fixed in Revision38518,38610
LazTarget-
WidgetsetQT
Attached Files

Activities

Zeljan Rikalo

2012-09-05 06:53

developer   ~0062078

Please test and close if ok.

Martin Friebe

2012-09-10 10:40

manager   ~0062266

Last edited: 2012-09-10 10:42

It has a problem with none latin utf8 chars. (w32 vista, using "Deja vu" font (normal, not mono))

Try German umlauts äöü
Or in "Misc" try "Show Special chars" which makes spaces visible as a little dot.

Zeljan Rikalo

2012-09-10 11:08

developer   ~0062267

Now it should be ok. Please test and close if ok (tested with croatian non latin utf8 chars).

Martin Friebe

2012-09-10 11:55

manager   ~0062268

seems ok. thanks

Issue History

Date Modified Username Field Change
2012-09-04 20:09 Martin Friebe New Issue
2012-09-04 20:09 Martin Friebe LazTarget => -
2012-09-04 20:09 Martin Friebe Widgetset => QT
2012-09-05 05:50 Zeljan Rikalo Status new => assigned
2012-09-05 05:50 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-09-05 06:53 Zeljan Rikalo Fixed in Revision => 38518
2012-09-05 06:53 Zeljan Rikalo Status assigned => resolved
2012-09-05 06:53 Zeljan Rikalo Resolution open => fixed
2012-09-05 06:53 Zeljan Rikalo Note Added: 0062078
2012-09-10 10:40 Martin Friebe Status resolved => assigned
2012-09-10 10:40 Martin Friebe Resolution fixed => reopened
2012-09-10 10:40 Martin Friebe Note Added: 0062266
2012-09-10 10:42 Martin Friebe Note Edited: 0062266
2012-09-10 11:08 Zeljan Rikalo Fixed in Revision 38518 => 38518,38610
2012-09-10 11:08 Zeljan Rikalo Status assigned => resolved
2012-09-10 11:08 Zeljan Rikalo Resolution reopened => fixed
2012-09-10 11:08 Zeljan Rikalo Note Added: 0062267
2012-09-10 11:55 Martin Friebe Status resolved => closed
2012-09-10 11:55 Martin Friebe Note Added: 0062268